ghc-prim-0.10.0: GHC primitives

Safe Haskell | Safe-Inferred
Language | Haskell2010

GHC.Prim.Exception

Description

Primitive exceptions.

Users should not import this module. It is GHC internal only.

Synopsis

- raiseOverflow :: a
- raiseUnderflow :: a
- raiseDivZero :: a

# Documentation

raiseOverflow :: a Source #

Raise `overflowException`

raiseUnderflow :: a Source #

Raise `underflowException`

raiseDivZero :: a Source #

Raise `divZeroException`